%global use_x11_tests 1

Name:           perl-Tk-Pod
Version:        0.9943
Release:    2%{?dist}
Summary:        Pod browser top-level widget
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Tk-Pod
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/Tk-Pod-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Pod::Simple) >= 2.05
BuildRequires:  perl(Tk) >= 800.004
BuildRequires:  perl(base)
BuildRequires:  perl(Benchmark)
BuildRequires:  perl(blib)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Struct)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(Pod::Simple) >= 2.05
BuildRequires:  perl(Pod::Simple::PullParser)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Safe)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(Tk::BrowseEntry)
BuildRequires:  perl(Tk::Derived)
BuildRequires:  perl(Tk::Frame)
BuildRequires:  perl(Tk::ItemStyle)
BuildRequires:  perl(Tk::LabEntry)
BuildRequires:  perl(Tk::ROText)
BuildRequires:  perl(Tk::Toplevel)
BuildRequires:  perl(Tk::Tree)
BuildRequires:  perl(Tk::Widget)
BuildRequires:  perl(vars)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Devel::Hide)
BuildRequires:  perl(ExtUtils::Command::MM)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test)
%if %{use_x11_tests}
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
BuildRequires:  font(:lang=en)
%endif
Requires:       perl(Benchmark)
Requires:       perl(blib)
Requires:       perl(File::Temp)
Requires:       perl(Module::Refresh)
Requires:       perl(Pod::Functions)
Requires:       perl(Pod::Simple) >= 2.05
Requires:       perl(Pod::Simple::PullParserEndToken)
Requires:       perl(Pod::Simple::PullParserStartToken)
Requires:       perl(Pod::Simple::PullParserTextToken)
Requires:       perl(Pod::Usage)
Requires:       perl(POSIX)
Requires:       perl(Safe)
Requires:       perl(Storable)
Requires:       perl(Tk) >= 800.004
Requires:       perl(Tk::BrowseEntry)
Requires:       perl(Tk::DialogBox)
Requires:       perl(Tk::FileSelect)
Requires:       perl(Tk::LabEntry)
Requires:       perl(Tk::ROText)
Requires:       perl(Tk::Widget)
Requires:       perl(URI::Escape)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Tk(::Pod)?\\)\\s*$

%description
Simple Pod browser with hypertext capabilities in a Toplevel widget.

%prep
%setup -q -n Tk-Pod-%{version}
chmod -x Pod_usage.pod

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}/*

%check
%if %{use_x11_tests}
    xvfb-run -a make test
%else
    make test
%endif

%files
%doc Changes README TODO
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.9943-2
- Rebuilt for loongarch64

* Tue Aug 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9943-1
- initial build
